<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:gravity="center_horizontal"
    android:orientation="vertical"
    tools:context="bou.amine.apps.readerforselfossv2.android.LoginActivity">
    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.appcompat.widget.Toolbar app:popupTheme="?attr/toolbarPopupTheme" android:theme="@style/ToolBarStyle"
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"

             />

    </com.google.android.material.appbar.AppBarLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:paddingBottom="@dimen/activity_vertical_margin"
        android:paddingLeft="@dimen/activity_horizontal_margin"
        android:paddingRight="@dimen/activity_horizontal_margin"
        android:paddingTop="@dimen/activity_vertical_margin">
        <!-- Login progress -->
        <ProgressBar
            android:id="@+id/loginProgress"
            style="?android:attr/progressBarStyleLarge"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:visibility="gone"/>

        <ScrollView
            android:id="@+id/loginForm"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <EditText
                    android:id="@+id/urlView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/prompt_url"
                    android:imeOptions="actionUnspecified"
                    android:importantForAutofill="no"
                    android:inputType="textUri"
                    android:maxLines="1" />

                <com.google.android.material.switchmaterial.SwitchMaterial
                    android:text="@string/withLoginSwitch"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:id="@+id/withLogin"
                    android:layout_weight="1"/>

                <EditText
                    android:id="@+id/loginView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:autofillHints="username"
                    android:hint="@string/prompt_login"
                    android:inputType="text"
                    android:maxLines="1"
                    android:visibility="gone" />

                <EditText
                    android:id="@+id/passwordView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:autofillHints="password"
                    android:hint="@string/prompt_password"
                    android:inputType="textPassword"
                    android:maxLines="1"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/signInButton"
                    style="?android:textAppearanceSmall"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:layout_marginBottom="16dp"
                    android:text="@string/action_sign_in"
                    android:textStyle="bold" />

            </LinearLayout>
        </ScrollView>
    </LinearLayout>

</LinearLayout>
